#!/bin/sh

echo 'Scenario: TFRC-FC-SACK vs TCP SACK, 1 Mbps BN, vary RR, 15ms delay'
echo '--------------------------------------------------------------------'

ns tfrc_fc_scenario_b_varyRR.tcl 1 Sack 1 1 15

perl throughput.pl temp/out_tfrc_fc_varyRR.tr 4 tcp 1 > temp/1_flow1_tcp.txt && perl throughput.pl temp/out_tfrc_fc_varyRR.tr 5 tcpFriendFc 1 > temp/1_flow2_tfrc.txt
echo 'throughput computation finish'

perl count_drops.pl temp/out_tfrc_fc_varyRR.tr > result/TFRC_FC_vs_TCP_SACK_1Mbit_varyRR_15ms_Drops.txt

echo 'set title "TFRC-FC-SACK vs TCP SACK: 1 Mbps BN, varying RR, 15ms Delay"' > curves.gp
echo 'set yrange [0:1200]' >> curves.gp
echo 'set output "result/TFRC_FC_vs_TCP_SACK_1Mbit_varyRR_15ms.eps"' >> curves.gp
echo 'plot "temp/1_flow1_tcp.txt" using :($2*1000) title "TCP_SACK" with lines ls 3, "temp/1_flow2_tfrc.txt" using :($2*1000) title "TFRC-FC-SACK" with lines ls 2' >> curves.gp
echo '' >> curves.gp
gnuplot graph.gp


echo 'Scenario: TFRC-FC-SACK vs TCP NR, 1 Mbps BN, vary RR, 15ms delay'
echo '--------------------------------------------------------------------'

ns tfrc_fc_scenario_b_varyRR.tcl 1 Newreno 1 1 15
#
perl throughput.pl temp/out_tfrc_fc_varyRR.tr 4 tcp 1 > temp/2_flow1_tcp.txt && perl throughput.pl temp/out_tfrc_fc_varyRR.tr 5 tcpFriendFc 1 > temp/2_flow2_tfrc.txt
echo 'throughput computation finish'
#
perl count_drops.pl temp/out_tfrc_fc_varyRR.tr > result/TFRC_FC_vs_TCP_NewReno_1Mbit_varyRR_15ms_Drops.txt

echo 'set title "TFRC-FC-SACK vs TCP NR: 1 Mbps BN, varying RR, tfrc 1, tcp 1"' > curves.gp
echo 'set yrange [0:1200]' >> curves.gp
echo 'set output "result/TFRC_FC_vs_TCP_NewReno_1Mbit_varyRR_15ms.eps"' >> curves.gp
echo 'plot "temp/2_flow1_tcp.txt" using :($2*1000) title "TCP NewReno" with lines ls 3, "temp/2_flow2_tfrc.txt" using :($2*1000) title "TFRC-FC-SACK" with lines ls 2' >> curves.gp
echo '' >> curves.gp
gnuplot graph.gp


echo 'Scenario: TFRC-FC-SACK vs TFRC, 1 Mbps BN, vary RR, 15ms'
echo '---------------------------------------------------------'

ns tfrc_fc_scenario_b_varyRR.tcl 1 mix_tfrc 0 1 15

perl throughput.pl temp/out_tfrc_fc_varyRR.tr 4 tcpFriend 1 > temp/1_flow1_tfrc_mix.txt && perl throughput.pl temp/out_tfrc_fc_varyRR.tr 5 tcpFriendFc 1 > temp/1_flow2_tfrc_mix.txt
echo 'throughput computation finish'

perl count_drops.pl temp/out_tfrc_fc_varyRR.tr > result/TFRC_vs_TFRC_FC_SACK_1Mbit_varyRR_15ms_Drops.txt

echo 'set title "TFRC vs TFRC-FC-SACK: 1 Mbps BN, varying RR, 15ms Delay"' > curves.gp
echo 'set yrange [0:1200]' >> curves.gp
echo 'set output "result/TFRC_vs_TFRC_FC_SACK_1Mbit_varyRR_15ms.eps"' >> curves.gp
echo 'plot "temp/1_flow1_tfrc_mix.txt" using :($2*1000) title "TFRC" with lines ls 3, "temp/1_flow2_tfrc_mix.txt" using :($2*1000) title "TFRC-FC-SACK" with lines ls 2' >> curves.gp
echo '' >> curves.gp
gnuplot graph.gp
